Bug 82824 - Broken linking
Broken linking
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: eruby (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nakai
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-27 06:55 EST by Trond Eivind Glomsrød
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 00:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2003-01-27 06:55:03 EST
eruby linked with the old version of itself in the buildroot.

[root@pc-24 RPMS]# ls eruby-*
eruby-1.0.1-1.i386.rpm  eruby-devel-1.0.1-1.i386.rpm  eruby-libs-1.0.1-1.i386.rpm
[root@pc-24 RPMS]# rpm -Uvh eruby-*
feil: Failed dependencies:
        liberuby.so.0.9 is needed by eruby-1.0.1-1
[root@pc-24 RPMS]# rpm -qlp eruby-libs-1.0.1-1.i386.rpm
/usr/lib/liberuby.so.1.0
/usr/lib/liberuby.so.1.0.1
/usr/lib/ruby/1.6/i386-linux-gnu/eruby.so
[root@pc-24 RPMS]#
Comment 1 Bill Nottingham 2003-01-28 00:43:19 EST
Fixed in -2.

Note You need to log in before you can comment on or make changes to this bug.